==============================================================================
 更新履歴
==============================================================================

2026-08-02	Version 0.8.5
・S1-OSに対応した。
・OS-9でフォーマットすると異常終了する不具合を修正した。
・ディスクイメージオープン時、警告メッセージが多いと操作可能になるまでしばらく
  画面が固まる不具合を修正した。
・D88形式でセクタデータのステータスが0でないときは警告メッセージを出力するよう
  にした。
・HxC HFE形式でセクタデータのCRCが一致しないときはエラーステータスを設定する
  ようにした。
・HxC HFE形式で末尾のトラックがフォーマットされていないときは取り除くように
  した。
・起動時、高DPIで表示するとリストの幅が狭くなる問題を修正した。
・ウィンドウ左ペイン（ツリー）の幅を設定ファイルに保存するようにした。
・生ディスクモードのトラックパネルの幅を設定ファイルに保存するようにした。

-----

2025-11-01	Version 0.8.0
・Mac HFSの読み出しに対応した。
・FM-11/MB-S1用FLEX9 2HDのディスクイメージがFLEXとして認識しない不具合を修正
  した。
・D88イメージの読み込み時デフォルトでサイド番号をチェックしないようにした。
  (設定で変更可能)
・生ディスクモードでセクタ一覧に計算したCRCを表示するようにした。また、CRCを
  持っているディスクイメージをインポートした時はその値も表示するようにした。
・HxC HFE形式で最終セクタまで読み込まないことがある不具合を修正した。
・HxC HFE形式でトラック数が多い場合は警告としイメージのロードを継続するよう
  にした。
・Teledisk TD0形式でコメントヘッダのないイメージを読み込めない不具合を修正
  した。
・[Mac版]Sequoia(15.6)でファイルダイアログが開かない問題を修正した。
・ログウィンドウを追加した。
・その他UI部分を修正した。

-----

2024-06-06	Version 0.7.1
・BASIC情報ダイアログに「強引に開く」ボタンを追加した。
・OS-9 プロパティダイアログでオーナーIDを変更できるようにした。
・Human68Kでインポート時にファイル名が8バイトにトリミングされる問題を修正した。
・X68000用DIFC.X(.DIM)イメージの読み込みでトラックの有無をチェックしていない
  不具合を修正した。
・X68000用2HDEフォーマットに対応した。
・n88-BASIC 2DD版のパラメータを追加した。
・生ディスクモードで偶数または奇数トラックのヘッドIDを一括変更できるようにした。

2024-03-30	Version 0.7.0
・ファイルを外部エディタを使って変更できるようにした。
・左側のツリービューにファイルをドロップした時の挙動を変更した。
・ディレクトリをドラッグ＆ドロップした時、コピー＆ペーストした時の挙動を変更
  した。
・保存時デフォルトのディスクイメージ形式は元のディスクイメージになるべく
  合わせるようにした。
・Human68Kでファイル名の大文字小文字を別ファイルとして区別している不具合を
  修正した（設定ファイルの変更）。
・Human68Kでインポート時に拡張子が.BAS/.TXT/.DOC/.BATならファイル終端コードを
  自動で付加するようにした。
・MS-DOSのファイルリストを表示時、日時でソートされない不具合を修正した。
・MacOS 11以降？で右ペインのDISK BASIC種類を表示する部分が表示されない問題を
  修正した。
・その他内部コードを変更した。

-----

2024-01-28	Version 0.6.5
・インポートで確認ダイアログを表示しないと元ファイルの更新日付が反映されない
  不具合を修正した。
・MS-DOSでディレクトリが拡張される際にサイズがセットされてしまう不具合を修正
  した。

2023-11-19	Version 0.6.4
・東芝J-3100シリーズで採用している1.2MBのディスクパラメータを追加した。
・DISK BASICを変更しそれがディレクトリエラーとなった時に異常終了することがある
  不具合を修正した。

2023-07-08	Version 0.6.3
・実機で書き込みしたHxC HFE形式のディスクイメージが読み込めなくなることがある
  不具合を修正した。

2023-04-03	Version 0.6.2
・CDOS II 2DD,2HD版のシステムディスクに対応した。
・MSX BASICのベタディスクを読み込めないことがある不具合を修正した。
・生ディスクモードのセクタリスト上で左右キーを押してトラックリストの選択位置を
  変更できるようにした。
・ツリービュー部分でディスク名を編集し空白にした時に「(名前なし)」と表示する
  ようにした。

2022-11-19	Version 0.6.1
・生ディスクモードでセクタのFDCステータスコードを表示するようにした。
・エプソン QC-10用CP/Mのパラメータを追加した。

2022-05-05	Version 0.6.0
・以下の機種のDISK BASIC / OSに対応：
  ・ソード M68 KDOS (FDOS) (インポート、フォーマットは暫定対応)
  ・Tandy TRSDOS 2.3
  ・Tandy TRSDOS 1.3
・以下のディスクイメージを読み込めるようにした。
  ・TRS-80 DMK形式
  ・TRS-80 JV3形式
・ディスクの新規作成で開始セクタ番号を0にすると正しく作成できないことがある
  不具合を修正した。
・X68000用9SCFMTはセクタ番号10から作成するようにした。

-----

2021-12-02	Version 0.5.3
・SORD CP/M用のパラメータを追加した。
・以下のディスクイメージを読み込めるようにした。
  ・HxC HFE形式 (IBMフォーマットのみ)

2021-03-20	Version 0.5.2
・PC-8801用のディスクで異常終了することがある不具合を修正した。

2020-09-12	Version 0.5.1
・エクスポートしたファイルに元ファイルの日付を反映するようにした。
・インポートしたファイルに元ファイルの日付を設定できるようにした。
・MS-DOSで作成日付、アクセス日付の設定を無視できるようにした。
・左ペインのサブディレクトリを選択しても右ペインにファイル一覧が表示されない
  場合がある不具合を修正した。

2020-07-17	Version 0.5.0
・以下の機種のDISK BASIC / OSに対応：
  ・Apple DOS 3.3
  ・Apple ProDOS 8 / 16
  ・Commodore 1541 DOS
  ・Commodore Amiga DOS / AROS
・以下のディスクイメージを読み込めるようにした。
  ・DSKSTR形式
  ・VICE G64形式
  ・Apple Disk Copy形式

-----

2020-05-24	Version 0.4.7
・IMageDisk IMD形式のイメージを読み込めるようにした。
・CP/Mでソフトウェアスキュー(セクタ番号変換)に対応した。
・OS-9でDD_BITが1以外のディスクイメージに対応した。
・FLEXで削除されたファイルが表示されている不具合を修正した。
・MZ系S-BASICやHu-BASIC以外で日付は設定にかかわらず常に反映されるようにした。

2020-05-07	Version 0.4.6
・以下の機種のDISK BASIC / OSに対応：
  ・MDOS
・Virtual98 FDD形式のイメージを読み込めるようにした。
・FLEX用2DDディスク(18セクタ)のパラメータを追加した。
・ディスク新規作成やオープン時に規格外のパラメータを設定しても処理を継続できる
  ようにした。
・ディスクイメージ保存時に規格外のディスクもなるべく保存するようにした。

2020-02-11	Version 0.4.5
・ディスクリスト内のメニューにある「ディスク情報」のダイアログでOKを押すと
  異常終了する不具合を修正した。
・ディスクリスト内のメニューにある「ディスク情報」で密度が正しく設定されて
  いない不具合を修正した。
・ディスク新規作成でパラメータを手動設定にした場合、密度を2DDや2HDに選択しても
  それが作成後のディスクに反映されない不具合を修正した。

2019-12-14	Version 0.4.4
・FM用2HDディスクの新規作成でトラック0、サイド0を単密度で作成するように
  パラメータを変更した。
・L3 3インチディスクのディスクデータの置換で片面のみ置換する場合はコピー元の
  サイドを選択できるようにした。

2019-08-12	Version 0.4.3
・L3/S1 DISK BASICにファイル追加するとBASIC以外でも拡張子が.BASとなることがある
  不具合を修正した。
・PC-8001用 S-DOS Ver.1.1でパッチが当たっているディスクを認識できない不具合を
  修正した。

2019-05-31	Version 0.4.2
・MZ Hu-BASIC 反転ありで正しくフォーマットされない不具合を修正した。

2019-03-02	Version 0.4.1
・ベタディスク読み込み時のダイアログにてインターリーブを指定しても反映されない
  不具合を修正した。
・ブランクディスクイメージを読み込めない不具合を修正した。

2019-02-11	Version 0.4.0
・以下の機種のDISK BASIC / OSに対応：
  ・シャープ MZ Floppy DOS
  ・シャープ X68000 Human68k
  ・東芝 パソピア T-BASIC
  ・ソニー SMC-777 Sony Filer
  ・カシオ FP-1100 C82-BASIC
  ・キャリーラボ PC-8801用 CDOS II
  ・システムソフト PC-8001用 PC-DOS
  ・X1用 X-DOS
  ・PC-8801用 Frost-DOS
  ・PC-8801用 Magical DOS
  ・PC-8001用 S-DOS / PC-8801用 Sn88-DOS
  ・X1用 L-os Angeles
・C-DOSでテキストファイルの終端コードを処理する機能を追加した。
・F-BASIC 2HD版でクラスタ番号とセクタの位置があっていない不具合を修正した。
・Hu-BASICで残り容量がなくなるようなファイルをインポートするとだんまりする
  不具合を修正した。
・Hu-BASICでアスキーファイルの扱いにS-OS SWORDを追加。
・エクスポート時に属性に応じて拡張子を付加するようにした。
・インポート時に拡張子から属性を設定するようにした。
・インポートで既存ファイルを上書きすると元ファイルのゴミが残ることがある不具合
  を修正した。
・FDI,DIFC.X DIM,CopyQM,Teledisk TD0形式のイメージを読み込めるようにした。
・設定ダイアログを追加した。
・左パネルのツリーリストにサブディレクトリを表示するようにした。
・ファイルリスト列の表示・非表示、並び替え、また行のソートをできるようにした。
・生ディスクモードでトラックを追加できるようにした。
・生ディスクモードでセクタデータを外部プログラムに渡して編集できるようにした。
・そのほかいろいろ修正。

-----

2018-12-27	Version 0.3.8
・C-DOSに対応した。
・BASIC判定でエラーでもファイル操作を行えるように変更した。
・MZ/X1系プロパティダイアログで属性の表示方法を変更した。
・ファイルリストにロードアドレス、終了アドレス、実行アドレス、番号の各カラムを
  追加した。
・削除した＆隠されたファイルをファイルリストに表示できるようにした。
・BASIC情報ダイアログにボリューム日付を追加した。
・セクタデータをデータ反転してインポートやエクスポートできるようにした。
・そのほかいろいろ修正。

2018-12-03	Version 0.3.7
・MZ DISK BASICでBSD形式でインポートするとエラーになる不具合を修正した。
・MZ DISK BASICでパラメータSpecialAttributesが正しく読まれない不具合を修正。
・Hu-BASICでインポートすると常にパスワードありとなる不具合を修正した。
・TF-DOSの判別方法を変更した。
・TF-DOSの反転モードに対応した。
・TF-DOSでBASE互換のテキストファイルを変換する機能を追加した。
・MZ系CP/M（35トラック、16セクタ）に対応した。
・MZ/X1系プロパティダイアログに、終了アドレスを表示するようにした。
・MZ/X1系プロパティダイアログに、日付を無視するチェックボックスを追加した。
・プロパティダイアログのファイルサイズに16進数表示を追加した。
・Hu-BASICでAscファイルエクスポート時に出るメッセージダイアログを廃止した。
・そのほかいろいろ修正。

2018-11-24	Version 0.3.6
・TF-DOSに対応した。
・MZ DISK BASICで、ボリューム番号属性をXMLパラメータで指定できるようにした。
・MZ DISK BASICで、空き領域の計算が間違っていた不具合を修正した。
・ディスク選択時にBASICの警告ダイアログが毎回出るのを抑制した。
・BASIC情報ダイアログの表示項目を追加した。
・そのほかいろいろ修正。

2018-11-09	Version 0.3.5
・ディスクイメージ保存時に未使用領域を残すかを選択できるようにした。
・ベタディスクを開く時は常にダイアログを表示するようにした。
・新規にセクタを追加できるようにした。
・従来エラーにしていたディスクイメージもなるべく読み込むようにした。
・ディスクデータ置換時にディスク選択ダイアログを表示するようにした。
・リストウィンドウのフォントを変更できるようにした。
・リストウィンドウの表示コントロールを変更した。
・現在のフォントやキャラクターコードを設定ファイルに保存するようにした。
・ダンプウィンドウにてテキストダンプを表示できるようにした。
・バイナリダンプでトラック番号、セクタ番号を表示するようにした。
・BASIC情報ダイアログ、トラック情報ダイアログを追加した。
・複数ファイルのドラックに対応した。
・OS-9の".",".."ディレクトリ名を変更できてしまう不具合を修正。
・そのほかいろいろ修正。

-----

2018-10-20	Version 0.3.2
・CPC DSK形式でトラックが持つトラック番号、サイド番号と各セクタが持つID C,ID H
  が異なるとトラックが読み込めない不具合を修正。
・MZ系のHu-BASICを読み込めるようにした。
・MZ-80B系のCP/M（データが反転している）を読み込めるようにした。
・MS-DOS 2Dのパラメータを追加した。
・MS-DOSでセクタ1にあるBPBが正しくない時に異常終了する不具合を修正。
・FLEXでのファイル書き込みに対応した。
・そのほかいろいろ修正。

2018-10-08	Version 0.3.1
・一部トラックやセクタを削除してディスクサイズが変わってもそれを保存していない
  不具合を修正。
・セクタ数が0のトラックがあるディスクイメージを開くと異常終了する不具合を修正。
・セクタサイズ0のセクタを同じトラックにあるセクタと同じサイズで読み込むように
  した。
・ディスクイメージを開いた時、トラック数などの解析方法を変更した。
・n88-BASICで、アスキーファイル128バイトをインポートすると最後の文字が終端
  コードになる不具合を修正。
・半角カナのファイル名をシフトJISで表示すると拡張子が消える場合がある不具合を
  修正。
・単密度が混在しているベタディスクを読めるようにした。
・FLEX 2Dのイメージが読めない不具合を修正した。
・OS-9でのファイル書き込みに対応。OS-9 2DDとOS-9 1Dのパラメータを追加した。
・CP/Mでのファイル書き込みに対応した。

2018-09-18	Version 0.3.0
・以下の機種のDISK BASIC / OSに対応：
  ・日立 LEVEL-3 DISK BASIC / S1 DISK BASIC
  ・富士通 F-BASIC
  ・NEC N88-BASIC / N66-BASIC
  ・MSX-BASIC / MSX-DOS
  ・シャープ X1 Hu-BASIC
  ・シャープ MZ S-BASIC系
  ・MS-DOS (PC-9801/PC-AT)
・以下のOSのファイル閲覧に対応（特定機種のみ）：
  ・FLEX
  ・OS-9 Level I/II
  ・CP/M Ver.2.2
・ファイル一覧ウィンドウでカーソルキーが反応しなかった不具合を修正。
・トラックオフセット部分のサイズが小さいディスクイメージ内のファイルが正しく
  取り出せない不具合を修正。
・片面単密度 x2のディスクでA面の「指定トラック以降を削除」を行うと、B面の
  トラックも削除される不具合を修正。
・ファイルリスト上で名前を編集状態にして右ペインのディスクを切り替えると異常
  終了する不具合を修正。

-----

2018-03-18	Version 0.2.4
・ファイル1つのグループ(クラスタ)はなるべく連続して保存するように修正。
・最近使用したファイルを20ファイルまで記憶するようにした。

2017-11-14	Version 0.2.3
・BASICモードのファイルリストを複数選択可能にした。
・複数ファイルのドラッグ＆ドロップに対応した。

2017-08-06	Version 0.2.2
・セクタ数が多すぎるとだんまりする不具合を修正。
・トラックオフセット部分のサイズが小さい場合にエラーにしていたのをワーニングに
  変更した。

2017-07-02	Version 0.2.1
・新規作成でセクタの配置間隔を指定できるようにした。
・ディスクデータを置換で、置換元ディスクの一部トラックが抜けていると異常終了
  する不具合を修正。
・[Mac版]設定ファイルをアプリと同じフォルダに保存するように変更。

2017-02-26	Version 0.2.0
・トラックがないイメージファイルを生ディスクモードで選択すると異常終了する
  不具合を修正。
・ディスクイメージ内部のディスクサイズが0だとだんまりする不具合を修正。
・ディスクを削除したあと右側のウィンドウをクリックすると異常終了する不具合を
  修正。
・トラックがないイメージファイルを「初期化」することでトラックを作成する機能を
  追加。
・指定したトラック以降をすべて削除する機能を追加。
・ディスクパラメータを「変更」ボタンやディスク情報で変更できるようにした。
・ダンプウィンドウのスクロールに対応した。

-----

2016-09-10	Version 0.1.5
・メニューに「ディスクデータを置換」を追加。ディスクの内容だけを置き換える機能。
・AB両面のあるディスクからA面/B面だけのディスクイメージを保存できるようにした。
・ファイル末尾にEOF($1A)があるとエラーで読み込めない不具合を修正。

-----

2016-01-27	Version 0.1.1
・単密度のディスクイメージから倍密度へドラッグ＆ドロップすると拡張子が不明に
  なることがある不具合を修正。
・ファイル追加する際、ディレクトリエントリを初期化していなかった不具合を修正。

2015-11-21	Version 0.1.0
・新規作成。

==============================================================================
